import { FixedSizeList } from 'react-window';
import type { MenuOption } from '../../Select';
import type { ReactText, MutableRefObject, FunctionComponent } from 'react';
import type { RenderLabelCallback, SelectedOption } from '../../types';
export declare type MenuListProps = Readonly<{
    height: number;
    itemSize: number;
    loadingMsg: string;
    isLoading?: boolean;
    overscanCount?: number;
    width: string | number;
    direction?: 'ltr' | 'rtl';
    menuOptions: MenuOption[];
    focusedOptionIndex: number;
    noOptionsMsg: string | null;
    itemKeySelector?: ReactText;
    renderOptionLabel: RenderLabelCallback;
    fixedSizeListRef: MutableRefObject<FixedSizeList | null>;
    selectOption: (option: SelectedOption, isSelected?: boolean) => void;
}>;
declare const MenuList: FunctionComponent<MenuListProps>;
export default MenuList;
