import { FilterMatchEnum } from '../constants';
import type { MenuOption } from '../Select';
import type { OptionData, SelectedOption, OptionValueCallback, OptionLabelCallback, OptionFilterCallback, OptionDisabledCallback } from '../types';
/**
 * useMenuOptions hook
 *
 * Parse options to array of MenuOptions and perform filtering (if applicable).
 * Set menuOptions state (ensure array returned).
 */
declare const useMenuOptions: (options: OptionData[], debouncedInputValue: string, filterMatchFrom: FilterMatchEnum, selectedOption: SelectedOption[], getOptionValue: OptionValueCallback, getOptionLabel: OptionLabelCallback, getIsOptionDisabledRef: OptionDisabledCallback, getFilterOptionStringRef: OptionFilterCallback, filterIgnoreCase?: boolean, filterIgnoreAccents?: boolean, isMulti?: boolean, async?: boolean, hideSelectedOptions?: boolean | undefined) => MenuOption[];
export default useMenuOptions;
